/*
 * Copyright (c) 2021 Josef 'Jeff' Sipek <jeffpc@josefsipek.net>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

#ifndef __CONTEST_H
#define __CONTEST_H

#include <hlog/qso.h>
#include <hlog-lua/xlua.h>

#include "../common/xform.h"

/*
 * interactive forms
 */
extern struct xform work; /* current QSO contest exchange */
extern struct xform current; /* current QSO in full */

/*
 * interactive form UI
 */
extern void ui_work_dispatch(lua_State *L, int ch, struct qso **qso);
extern void ui_current_dispatch(lua_State *L, int ch, struct qso **qso);

extern bool ui_dispatch_generic(struct xform *form, int ch);

/*
 * contact handling
 */
extern int init_contact(lua_State *L, struct qso **qso, char *error,
			size_t errlen);

/*
 * callout box
 */
extern int callout_init(int height, int width, int row, int col);
extern void callout_destroy(void);
extern void callout_set(const char *str);

/*
 * contest lua lib
 */
extern int contest_lualib_init(lua_State *L);

#endif
